  /**
   * A class for a gcode command
   */
  class GCodeCommand {
      constructor(type) {
          this.type = type; // Command type (G0, M83, etc...)
          this.targetPos = createVector(); // Position to travel to
          this.parentGCode = null; // List of GCdoe this command belongs to
          this.parentIndex = 0; // Place in the parent list
      }

      toString() {
          return this.type;
      }

      draw() {}
  }