import processing.serial.*;

// Create an empty list for balls
ArrayList<Ball> balls = new ArrayList<Ball>();

//Serial myPort;  // Create object from Serial class
int val;      // Data received from the serial port
int buffer[] = new int[15];
int arrayPointer = 0;


void setup() {
  size(800, 600, P2D);
  noStroke();
  blendMode(ADD);

  // Optionally populate the list wit balls
  for (int iBall=0; iBall<100; iBall++) {
    balls.add(new Ball());
  }

  // Replave the serialport string with your own
  //myPort = new Serial(this, "/dev/cu.usbmodem142401", 9600);

  textSize(30);
}

int sensorValue = 0;

void draw()
{
  //// Read as much bytes from the serialport as possible
  //while ( myPort.available() > 0) {  // as long as data is available,
  //  val = myPort.read(); // Read 
  //  if (val == 'V' && arrayPointer >= 2) { // If the byte is the designated command byte
  //    int LSB = buffer[arrayPointer-2];         // read the LSB
  //    int MSB = buffer[arrayPointer-1];         // read MSB
  //    sensorValue = (MSB * 256 + LSB);          // recombine MSB and LSB to one int
  //    arrayPointer=0;
  //  } else {
  //    buffer[arrayPointer++] = val; // if it's not a command, put it in the buffer
  //  }
  //}
  // Scale the sensor value to domething useful
  sensorValue = 1000;//(int)map(sensorValue, 400, 1024, width, 0);
  
  // start drawing
  background(100);
  fill(255, 0, 0);
  
  // Update all the balls using a conventional for-loop
  for (int iBall=0; iBall<balls.size(); iBall++) {
    balls.get(iBall).update();
  }

  // Draw the balls using a for-each loop
  for (Ball ball : balls) {
    ball.draw();
  }

  // spawn balls based on the sensor value.
  for (int iBall = 0; iBall<sensorValue/2; iBall++) {
    balls.add(new Ball(width/2, height/2, random(-5, 5), random(-5, 5)));
  }
}
