---
title: "About"
image: "images/week16.jpg"
draft: false
---

## FabAcademy Experience

Fabacademy was a tremendously fun experience. I have always enjoyed making products and using digital tools for the creation of tangible products and the FabAcademy provided me with the opportunity to work with these tools on a number of projects. Some projects were new, devised during the FabAcademy, such as the [I2C music string](https://fabacademy.org/2022/labs/waag/students/bas-pijls/blog/week16/) or the [gcode generator](https://fabacademy.org/2022/labs/waag/students/bas-pijls/blog/week5/), some were intentionally planned to do during FabAcademy, such as the [press-fit-kit generator](https://fabacademy.org/2022/labs/waag/students/bas-pijls/blog/week3/). Other projects had been long on my todo-list, such as the [Feib](https://fabacademy.org/2022/labs/waag/students/bas-pijls/final_project/) or the [polar drawing mechanism](https://fabacademy.org/2022/labs/waag/students/bas-pijls/blog/week11/). While working on these projects I learned a great deal about some best practices in digital design and manufacturing but I also learned a great deal about myself. The main takeaways for my personal development were:

- Spiral development is great. It forces you to think in small steps. I experienced it to be very helpful in the weekly assignments but it got much harder to do for the final project. Somehow, having a lot of time for a project will make it too ambitious. I know I have to force myself to develop in small increments and vertical slices, also for longer projects.
- Supply side time management is good in theory, works on small time frames but I had a hard time keeping it up. That probably has to do with the previous point made about spiral development.
- I discovered I get motivated by potential public. Most of my projects in the past were for me only. Having the opportunity to present your work every week greatly motivated me. It is very unDutch to feel this way, as it might come of as bragging about my achievements. I have to get used to that, but its really nice to finally know what motivates me most when developing things. For future projects I have to keep in mind that eventually I want to show my work to others.

During the FabAcademy a lot of other things happened as well. My home got partially rebuilt, I got COVID, my job as a teacher was ceaselessly demanding. I am very satisfied with most of the results and I hope to find a way to make more time for doing projects like this in the future. It's been a hell of semester in both negative but considerably more in the positive sense and an experience I will not soon forget.