let x = 0;
let xRest = 0;
let v = 0;
let a = 0;
let c = 1;
let k = 1;
let dt = 1/60;

let mSlider;
let cSlider;
let kSlider;
let stepSlider;
let xRestSlider;

function updateSpring(){
  a = (-kSlider.value()*(x-xRestSlider.value())-cSlider.value()*v)*mSlider.value();
  v += a*dt;
  x += v*dt;
}

function setup() {
  let canvas = createCanvas(400, 400);
  canvas.parent('spring');
  ui = select('#ui');
  createSpan('m:').parent('ui');
  mSlider = createSlider(0.1, 3, 1, 0.05).parent(ui);
  createSpan('<br>c:').parent('ui');
  cSlider = createSlider(0, 10, 1,0.1).parent(ui);
  createSpan('<br>k:').parent('ui');
  kSlider = createSlider(0, 100, 1,0.1).parent(ui);
  createSpan('<br>step:').parent('ui');
  stepSlider = createSlider(-10, 10, 1,0.05).parent(ui);

  createSpan('<br>xRest:').parent('ui');
  xRestSlider = createSlider(-5, 5, 0,0.05).parent(ui);

  noStroke();
}

function draw() {
    background(255);
    fill(255,0,0);
    x = xRestSlider.value() + stepSlider.value();
    v=0;
    a=0;
    for (let iX=0; iX<width; iX++){
      updateSpring();
        let y = map(x,-2, 2, 0, height);
        circle(iX, y, 5 );
    }
}