//draw a spinning teapot
let fish;

function preload() {
    // Load model with normalise parameter set to true
    fish = loadModel('magic_fish.obj', true);
}

function setup() {
    canvas = createCanvas(670, 500, WEBGL);
    canvas.parent('show_fish');
}

function draw() {
    background(239);
    scale(2); // Scaled to make model fit into canvas
    rotateX(PI - mouseY / width * PI);
    rotateY(PI - mouseX / height * PI);
    model(fish);
}