#include "MIDIUSB.h"

void noteOn(byte channel, byte pitch, byte velocity) {
  midiEventPacket_t noteOn = {0x09, 0x90 | channel, pitch, velocity};

  MidiUSB.sendMIDI(noteOn);
}

void noteOff(byte channel, byte pitch, byte velocity) {
  midiEventPacket_t noteOff = {0x08, 0x80 | channel, pitch, velocity};

  MidiUSB.sendMIDI(noteOff);
}

void setup() {
  // put your setup code here, to run once:

}

int note = 0x0;

void loop() {
  note = (note + 1)%30;
  // put your main code here, to run repeatedly:
  noteOn(0, note+0x40, 100);
  delay(1000);
  noteOff(0, note+0x40, 100);
  delay(500);
}
