#ifndef _CONFIG_H
#define _CONFIG_H

#define DEBUG 1
#define STROBE_OFF 0
#define STROBE_ON 1

#define MOTOR_DISC 0
#define MOTOR_ARM 1

#define MOTOR_CMD_BUFF_SIZE 6

//https://sintron-hk.com/products/sintron-3d-printer-controller-ramps-1-4-arduino-mega-pololu-shield-for-reprap-prusa-mendel-arduino-mega2560-3d-ramps-1-4
#define SOLENOID_PIN 10
#define LUMINUS_PIN 9
#define IR_TRANSISTOR_PIN A3
#define IR_STROBE_TRESHOLD 200

#define DISC_STEP_PIN 54
#define DISC_DIR_PIN 55
#define DISC_ENABLE_PIN 38

#define ARM_STEP_PIN 60
#define ARM_DIR_PIN 61
#define ARM_ENABLE_PIN 56
#define ARM_ENDSTOP_PIN 3

#define IR_READ_INTERVAL 2
#define DISPLAY_INTERVAL 100
#define HOMING_INTERVAL 255

#define CTRLSerial Serial

#define STROBE_INTERVAL 30;

#endif
