// Visual representation of the arm
class Arm {
  PVector center;
  float radius;
  float angle;
  color fillColor; 

  Arm(PVector center, float radius) {
    fillColor = color(255);
    this.center = center.copy();
    this.radius = radius;
    angle = 0;
  }

  void drawTransformed(){    
    pushMatrix();
    translate(center.x, center.y);
    rotate(angle);    
    this.draw();
    popMatrix();
  }

  void draw() {
    stroke(0);
    fill(fillColor);
    triangle(0, -5, radius, 0, 0, 5);
  }
}
