class GridBox {

    constructor() {
        this.boxSize = 150;
        this.stepSize = 20;
    }

    drawGrid() {

        
        strokeWeight(0.3);
        push();        
        //translate(0, 0, -this.boxSize);
        for (var x = -this.boxSize; x < this.boxSize + this.stepSize; x += this.stepSize) {
            line(x, -this.boxSize, x, this.boxSize);
        }

        for (var y = -this.boxSize; y < this.boxSize + this.stepSize; y += this.stepSize) {
            line(-this.boxSize, y, this.boxSize, y);
        }
        pop();
    }

    drawGridXYPlane() {
        stroke(0, 0, 0, 50);
        push();
        rotateZ(PI / 2);
        this.drawGrid();
        pop();
    }

    drawGridXZPlane() {
        stroke(0, 0, 0, 150);
        this.drawGrid();
        rotateX(PI / 2);
    }

    drawGridYZPlane() {
        stroke(0, 0, 0, 150);
        push();
        rotateY(PI / 2);
        this.drawGrid();
        pop();
    }

    draw() {

        this.drawGridXYPlane();
        // this.drawGridXZPlane();
        // this.drawGridYZPlane();

        // push(); {
        //     fill(0);
        //     rotateX(-PI / 2);
        //     rotateY(-PI / 2);
        //     translate(this.boxSize, this.boxSize, this.boxSize);
        //     push(); {
        //         rotateY(PI / 4);
        //         text("0", 0, 0, 0);
        //     } pop();

        //     push(); {
        //         translate(-2 * this.boxSize, 0, 0);
        //         rotateY(-PI);
        //         text("x", 0, 0, 0);
        //     } pop();

        //     push(); {
        //         translate(0, 0, -2 * this.boxSize - 30);
        //         rotateY(-PI / 2);
        //         text("y", 0, 0, 0);
        //     } pop();


        //     push(); {
        //         translate(20, -2 * this.boxSize - 10, 0);
        //         rotateY(PI + PI / 4);
        //         text("z", 0, 0, 0);
        //     } pop();


        // } pop();

    }
}