---
title: "About"
layout: "about"
image: "images/attic.jpg"
draft: false

#caption
caption:
  enable: true
  title: "I’m Bas Pijls,"

# social
social:
  enable: true
  social_links:
  
  - link: "https://www.twitter.com/bpijls"
    icon: "lab la-twitter"
    
  - link: "https://www.linkedin.com/in/bpijls"
    icon: "lab la-linkedin-in"
    
  - link: "https://www.github.com/bpijls"
    icon: "lab la-github"

# what_i_do
what_i_do:
  title: "What I Do"
  enable: true
  item:
  - title: "Teaching"
    icon: "las la-chalkboard-teacher"
    description: "I teach Internet of Things and Game Development at the Amsterdam University of Applied Sciences."
    
  - title: "Electronics"
    icon: "las la-bolt"
    description: "I like to design and create electronic devices."
    
  - title: "Software development"
    icon: "las la-laptop"
    description: "I develop software for fun."
 
---
After studying [Human Kinetic Technology](https://www.dehaagsehogeschool.nl/opleidingen/bachelors[mens-en-techniek-bewegingstechnologie-voltijd) and [Human Movement Sciences](https://vu.nl/nl/onderwijs/bachelor/bewegingswetenschappen) I became a software developer at [McRoberts](http://mcroberts.eu/) for a while and went on to teach at the HBO-ICT department at the [Amsterdam University of Applied Sciences](https://www.hva.nl/opleiding/hbo-ict/hbo-ict.html). I have always tried to be an inventor, although I could not find a formmal career-path that would make me one.

In 2006 I discovered that electronics, and especially developing embedded devices, was way more accessible than I thought. From then on I developed a love for personal fabrication, bought a Makebot Cupcake in 2009 and etched my own circuit boards in my attic in Amsterdam. After 15 years of dabbling in attics I finally got the chance to work in a fablab by joining the FabAcademy for the first half of 2022. I'm greatly looking forward to what's coming in the next few months.

Link to [gitlab](https://gitlab.fabcloud.org/academany/fabacademy/2022/labs/waag/students/bas-pijls)
