#ifndef CONFIG_H 
#define CONFIG_H

#define N_KEYPAD_KEYS 8
#define N_CHORD_KEYS 4
#define N_TONE_KEYS 16

#define SDA_PIN 4
#define SCL_PIN 5
#define I2C_MASTER 0x42

#define MIDI_BAUDRATE 31250

#define CHORD_CHANNEL 1
#define NOTE_CHANNEL 2

#define DEFAULT_CHORD_VELOCITY 80
#define DEFAULT_TONE_VELOCITY 80

#endif