module simpleNumber(number, width=1, height=2){
    vertices = [[[0,  0], [0,  1], [1,  1], [1,  0]],
[[0,  1], [0,  0], [0.346,  0], [0.346,  1]],
[[0,  0.85], [0.615,  0.65], [0,  0.55], [0,  0], [1,  0], [1,  0.15], [0.230,  0.25], [1,  0.40], [1,  1], [0,  1]],
[[0,  0.85], [0,  1], [1,  1], [1,  0], [0,  0], [0,  0.15], [0.77,  0.3], [0,  0.40], [0,  0.55], [0.77,  0.75]],
[[0.77,  1], [0,  0.3], [0,  0.15], [0.6923,  0.15], [0.6923,  0], [1,  0], [1,  0.15], [1,  1]],
[[1,  0.85], [0.385,  0.65], [1,  0.55], [1,  0], [0,  0], [0,  0.15], [0.77,  0.25], [0,  0.40], [0,  1], [1,  1]],
[[0.230,  1], [0,  1], [0,  0], [1,  0], [1,  0.6], [0.230,  0.6]],
[[0,  1], [0,  0.8], [0.6923, 0.8], [0.6923,  0], [1, 0], [1 , 1]],
[[0, 0], [0, 0.4], [0.154, 0.5], [0, 0.6], [0, 1], [1, 1], [1, 0.6], [0.85, 0.5], [1,  0.4], [1,  0]],
[[1, 1], [0, 1], [0, 0.4], [0.7, 0.4], [0.7, 0], [1,  0]]];
    
        
    if (number >=0 && number < 10)
        translate([-width/2, -height/2, 0])
            polygon(vertices[number]*[[width,0],[0,height]]);
    
    if (number >=10 && number < 100){
        tens = floor(number/10);
        ones = number-tens*10;
        translate([-(2*width+width*0.2)/2, -height/2, 0]){
       polygon(vertices[tens]*[[width,0],[0,height]]);
        translate([width+width*0.2, 0,0])
        polygon(vertices[ones]*[[width,0],[0,height]]);
        }
    }
    
    if (number >=100 && number < 1000){
        hundreds = floor(number/100);
        tens = floor((number - hundreds*100)/10);
        ones = number - tens*10 - hundreds*100;
                
        translate([-(3*width+2*(width*0.2))/2, -height/2, 0]){
        polygon(vertices[hundreds]*[[width,0],[0,height]]);
        translate([width+width*0.2, 0,0])
            polygon(vertices[tens]*[[width,0],[0,height]]);
        
        translate([(2*width)+2*(width*0.2), 0,0])
            polygon(vertices[ones]*[[width,0],[0,height]]);
        }
    }
        
}