//import("/Users/bpijls/fabacademy/molding/test1.stl");

function map(value, inMin, inMax, outMin, outMax) = 
    let (inRange = inMax - inMin,outRange = outMax-outMin)
    ((value - inMin)/inRange) * outRange + outMin;
    
gelatinMin = 1;
glycerinMin = 2;
waterMin = 2.5;

gelatinMax = 1;
glycerinMax = 2;
waterMax = 2.5;


holeSize = 20;
holeStart = 5;
holeDistanceX = 8;
holeDistanceY = 10;
holeDepth = 20;

nHolesX = 5;
nHolesY = 3;

difference(){
    translate([0,0,-45])
        cube([145, 95,45]);

    for (iX = [0:nHolesX-1]){
        for (iY = [0:nHolesY-1]){
            x = holeStart + iX*(holeSize+holeDistanceX);
            y = holeStart + iY*(holeSize+holeDistanceY);
            translate([x+holeSize,y,-holeDepth])
                rotate([0,-90,0])
                    scale([2,2,2])
                        import("/Users/bpijls/fabacademy/molding/test.stl");
        }
    }
}